=== debian/changelog ===
ros-foxy-test-robot-hardware (0.1.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 21 Jan 2021 00:00:00 -0000

ros-foxy-test-robot-hardware (0.1.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 06 Jan 2021 00:00:00 -0000

ros-foxy-test-robot-hardware (0.1.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 23 Dec 2020 00:00:00 -0000

ros-foxy-test-robot-hardware (0.1.0-1focal) focal; urgency=high

  * Remove components namespace and folders (#258 <https://github.com/ros-controls/ros2_control/issues/258>)
  * Added starting of resources into CM and RM (#240 <https://github.com/ros-controls/ros2_control/issues/240>)
  * Use resource manager (#236 <https://github.com/ros-controls/ros2_control/issues/236>)
  * Replace RCUTILS_ with RCLCPP_ for logging (#62 <https://github.com/ros-controls/ros2_control/issues/62>)
  * import test_robot_hardware
  * Contributors: Bence Magyar, Denis Štogl, Jafar Abdi, Jordan Palacios, Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 22 Dec 2020 00:00:00 -0000
